# CLI configuration.nix
{ config, lib, pkgs, inputs, user, ... }:
{
  imports = [
    ../base
  ];
  environment = {
    localBinInPath = true;
    variables = {
      LIBSEAT_BACKEND = "logind";
      SYSTEMD_PAGER = "";
    };
    sessionVariables = rec {
      INPUTRC = "$XDG_CONFIG_HOME/inputrc";
      # Environmental variable needed for mosh connections
      LC_CTYPE = "${user.locale}";
      XDG_BIN_HOME = "$HOME/.local/bin";
      XDG_CACHE_HOME = "$HOME/.cache";
      XDG_CONFIG_HOME = "$HOME/.config";
      XDG_DATA_HOME = "$HOME/.local/share";
      XDG_STATE_HOME = "$HOME/.local/state";
    };
  };
  services = {
    udisks2 = {
      enable = true;
      mountOnMedia = true;
    };
  };
  sound.enable = true;
  hardware.pulseaudio.enable = false;
  security.rtkit.enable = true;
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
    #jack.enable = true;
    wireplumber.enable = true;
  };
  users.users.${user.name}.packages = with pkgs; [
    bashmount
    bottom
    cifs-utils
    eva
    exiftool
    gpg-tui
    killall
    links2
    mediainfo
    nb
    nix-du
    nmap
    oed
    pdfgrep
    pinentry
    ripgrep
    tmux-xpanes
    ueberzugpp
  ];
}
