{
  description = "Personal NixOS/Home-Manager Configuration";
  nixConfig = {
    experimental-features = [ "nix-command" "flakes" ];
  };
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };
  outputs = { nixpkgs, home-manager, ... }@inputs:
    let
      system = "x86_64-linux";
      user = {
        name = "ii";
        long = "iiogama";
        email = "iiogama@0x212.org";
        browser = "mullvad-browser";
        term = "foot";
        locale = "en_US.UTF-8";
        timezone = "America/Los_Angeles";
      };
      lib = nixpkgs.lib;
    in {
      nixosConfigurations = (
        import ./hosts {
          inherit (nixpkgs) lib;
          inherit inputs system home-manager user;
        }
      );
    };
  #
}
