# Base configuration.nix
{ config, lib, pkgs, inputs, user, ... }:
let
  hostname="nixos";
in
{
  imports = [
    ./hardware-configuration.nix
  ];
  boot = {
    loader.grub = {
        enable = true;
        device = "/dev/vda";
        useOSProber = true;
    };
    # Hardware-configuration edits
    kernel.sysctl."net.ipv4.ip_forward" = 1;
  };
  networking = {
    hostName = "${hostname}";
    firewall = {
      enable = true;
    };
  };
  environment = {
    systemPackages = with pkgs; [
      cloud-utils
    ];
  };
}
