# Fireweed configuration.nix
{ config, lib, pkgs, inputs, user, ... }:
let
  hostname="fireweed";
in
{
  imports = [
    ./hardware-configuration.nix
    ../../modules/nixos/full.nix
  ];
  boot = {
    loader = {
      systemd-boot = {
        enable = true;
        configurationLimit = 10;
      };
      efi.canTouchEfiVariables = true;
      efi.efiSysMountPoint = "/boot/efi";
      timeout = 2;
    };

    # Hardware-configuration edits
    kernel.sysctl."net.ipv4.ip_forward" = 1;

    # Clean /tmp at boot
    tmp.cleanOnBoot = true;
  };
  networking = {
    hostName = "${hostname}"; # Define your hostname.
    firewall = {
      enable = true;
      allowedTCPPorts = [];
      allowedUDPPorts = [];
    };
  };
  services = {
    cage = {
      enable = true;
      program = "${pkgs.foot}/bin/foot";
      user = "${user.name}";
    };
    mullvad-vpn = {
      enable = true;
      package = pkgs.mullvad-vpn;
    };
  };
  system.stateVersion = "24.05";
}
