# CLI home.nix
{ config, lib, pkgs, inputs, user, ... }:
{
  programs.neovim = {
    enable = true;
    extraConfig = ''
      syntax enable
      set wrap
      set nospell
      set linebreak
      set number
      set relativenumber
      set splitbelow
      set splitright
      set tabstop=4
      set shiftwidth=4
      let mapleader = " "
      if filereadable(expand(".vim-project"))
        source .vim-project
      endif
      let g:limelight_conceal_ctermfg = 'block'
      nnoremap <leader>ff <cmd>Telescope find_files<cr>
      nnoremap <leader>fg <cmd>Telescope live_grep<cr>
      nnoremap <leader>fb <cmd>Telescope buffers<cr>
      nnoremap <leader>fh <cmd>Telescope help_tags<cr>
    '';
    plugins = with pkgs.vimPlugins; [
      goyo-vim
      limelight-vim
      plenary-nvim
      telescope-nvim
      vim-numbertoggle
      vim-nix
      vimwiki
    ];
  };
}
