{ pkgs, config, ... }:
{
  xdg.configFile = {
    "waybar/config" = {
      enable = true;
      executable = false;
      text = ''
        [{
        	"exclusive": false,
        	"position": "top",
        	"height": 20,
        	"fixed-center": false,
        	"modules-right": [
        		"tray",
        		"clock"
        	],
        	"clock": {
        		"format": "{:%H:%M:%S}",
        		"tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
                "format-alt": "{:%Y-%m-%d}",
        		"interval": 1
            },
        	"tray": {
        		"icon-size": 16,
                "spacing": 4,
                "show-passive-items": true,
                "reverse-direction": true
        	}
        },
        {
        	"exclusive": false,
        	"position": "bottom",
        	"height": 20,
        	"fixed-center": false,
            "modules-left": [
                "river/mode"
            ]
        }]
      '';
    };
    "waybar/style.css" = {
      enable = true;
      executable = false;
      text = ''
        * {
          background: transparent;
          color: #F2F2F8;
          font-size: 15px;
        }
        #user {
          background: #282A36;
          padding: 0 8 0 8;
        }
        #clock {
          background: #282A36;
          padding: 0 8 0 8;
        }
        #mode {
          background: #282A36;
          padding: 0 8 0 8;
        }
        #tray {
          background: #282A36;
          padding: 0 4 0 8;
        }
      '';
    };
  };
}
