# SMB configuration
{ config, lib, pkgs, inputs, user, ... }:
{
  services = {
    samba = {
      enable = true;
      # You will still need to set up the user accounts to begin with:
      # $ sudo smbpasswd -a yourusername
      # This adds to the [global] section:
      extraConfig = ''
        browseable = yes
        smb encrypt = required
      '';
      shares = {
        homes = {
          browseable = "no";	# note: each home will be browseable; the "homes" share will not.
          "read only" = "no";
          "guest ok" = "no";
        };
      };
    };
    # mDNS
    # This part may be optional for your needs, but I find it makes browsing in Dolphin easier,
    # and it makes connecting from a local Mac possible.
    avahi = {
      enable = true;
      nssmdns4 = true;
      publish = {
        enable = true;
        addresses = true;
        domain = true;
        hinfo = true;
        userServices = true;
        workstation = true;
      };
      extraServiceFiles = {
        smb = ''
          <?xml version="1.0" standalone='no'?><!--*-nxml-*-->
          <!DOCTYPE service-group SYSTEM "avahi-service.dtd">
          <service-group>
          <name replace-wildcards="yes">%h</name>
          <service>
          <type>_smb._tcp</type>
          <port>445</port>
          </service>
          </service-group>
        '';
      };
    };
  };
}
